org.apache.tomcat.util.net

## Class AprEndpoint.SocketInfo

- java.lang.Object
- - org.apache.tomcat.util.net.AprEndpoint.SocketInfo

Enclosing class:
  AprEndpoint

    public static class AprEndpoint.SocketInfo
    extends Object

### Field Summary

Fields
`int` `flags`
`long` `socket`
`int` `timeout`

### Constructor Summary

Constructors
Constructor and Description
`AprEndpoint.SocketInfo()`

### Method Summary

Methods
`static int` `merge(int flag1, int flag2)`
`boolean` `read()`
`String` `toString()`
`boolean` `write()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### socket

    public long socket

#### timeout

    public int timeout

#### flags

    public int flags

### Constructor Detail

#### AprEndpoint.SocketInfo

    public AprEndpoint.SocketInfo()

### Method Detail

#### read

    public boolean read()

#### write

    public boolean write()

#### merge

    public static int merge(int flag1,
            int flag2)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`